package com.fs.company.mapper;

import com.fs.company.domain.CompanyFsUser;
import com.fs.his.domain.FsUser;
import com.fs.his.vo.CompanyUserBindUserVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface CompanyFsUserMapper {

    /**
     * 新增公司用户绑定关系
     *
     * @param companyFsUser 公司用户绑定关系
     * @return 结果
     */
    public int insertCompanyFsUser(CompanyFsUser companyFsUser);

    /**
     * 根据FS用户ID查询绑定关系
     *
     * @param fsUserId FS用户ID
     * @return 公司用户绑定关系
     */
    public CompanyFsUser selectByFsUserId(Long fsUserId);

    /**
     * 更新公司用户绑定关系
     *
     * @param companyFsUser 公司用户绑定关系
     * @return 结果
     */
    public int updateCompanyFsUser(CompanyFsUser companyFsUser);

    /**
     * 销售公司用户列表
     */
    List<CompanyUserBindUserVO> selecUserList(FsUser fsUser);

    /**
     * 根据销售id 查询绑定的用户
     */
    String selectUserListBySalesId(Long companyUserId);

    @Select("select * from company_fs_user where company_user_id=#{companyUserId} and fs_user_id=#{userId}")
    CompanyFsUser selectByCompanyUserIdAndUserId(@Param("companyUserId") Long companyUserId, @Param("userId") Long userId);

    @Delete("delete from company_fs_user WHERE id=#{id}")
    int deleteById(Long id);
}
